Subject: Re: [AVT] MPEG2 Streaming Over internet

From: Joe Pallas <[email-masked]>
Date: Wed, 1 Oct 2008 11:03:24 -0700

>
> From: "Sumit Aggarwal" <[email-masked]>
> Date: September 30, 2008 9:14:56 PM PDT
> To: "Sandy (Alexander) MacInnis" <[email-masked]>
> Cc: "[email-masked]" <[email-masked]>
> Subject: Re: [AVT] MPEG2 Streaming Over internet
>
>
> Thanks for the reply.
>
> I think the problem i am facing is not because of network jitter  
> because i am uni casting using RTP by connecting cross cable. As i  
> am writing the streaming server also with myself, i am suspecting it.
> I want to know, while streaming do i need to update/modify the PCR/ 
> PTS/DTS or any other field in transport stream.
>
> Regards,
> Sumit.

If you are using the transport stream RTP encapsulation defined by  
RFC2250 (section 2) then you should not need to make any  
modifications to the transport stream data.  The transport stream is  
completely self-contained, and the RTP encapsulation does not affect  
the TS decoding process, only the timing of delivery to the decoder.

Even with a trivial network, you still could have jitter issues if  
you are not streaming the data synchronously at the source.

joe

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www.ietf.org/mailman/listinfo/avt